<!doctype html >
<html lang="en" xmlns:th="http://thymeleaf.org">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Detail Invited Webinar</title>
<head>
  <link rel="stylesheet" th:href="@{/css/sidebar.css}">
  <link rel="stylesheet" th:href="@{/assets/css/detail-request-penyelenggara.css}">

  <link href='https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css' rel='stylesheet'>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
  <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>

  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>
<body>
<div class="sidebar">
  <div class="logo-details">
    <i class=" icon">
      <svg width="20" height="20" viewBox="0 0 38 38" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M13.3333 36V24.6667H2V13.3333H13.3333V2H24.6667V13.3333H36V24.6667H24.6667V36H13.3333Z" stroke="white" stroke-width="3"/>
      </svg>
    </i>
    <div class="logo_name">Medis</div>
    <i class='bx bx-menu' id="btn" ></i>
  </div>
  <ul class="nav-list">
    <li>
      <a th:href="@{/}">
        <i class='bx bxs-home'></i>
        <span class="links_name">Home</span>
      </a>
      <span class="tooltip">Home</span>
    </li>
    <li>
      <a th:href="@{/invited-speaker/dashboard/list-invited-webinar}">
        <i class='bx bx-video-recording' ></i>
        <span class="links_name">History Invited</span>
      </a>
      <span class="tooltip">History Invited Webinar</span>
    </li>
    <li>
      <a th:href="@{/invited-speaker/dashboard/ubah-password}">
        <i class='bx bx-key'></i>
        <span class="links_name">Change Password</span>
      </a>
      <span class="tooltip">Change Password</span>
    </li>
    <li class="profile">
      <!--    TODO: Fetch data untuk nama, email, dan profile user    -->
      <div class="profile-details">
        <img src="/img/profile-2.jpg" alt="profileImg">
        <div class="name_job">
          <div class="name">Nama</div>
          <div class="email-sidebar">Email</div>
        </div>
      </div>
      <a href="/logout">
        <i class='bx bx-log-out' id="log_out"></i>
      </a>
    </li>
  </ul>
</div>

<section class="content-sidebar-section">
  <div class="text">Detail Invited Webinar</div>
  <br>
  <br>
  <div class="card-table stretch-card shadow-lg ">
    <main>
      <div style="padding-left: 52px; padding-right: 20px" class="row overflow-auto ">
        <div class="card-body main col-sm-6 ">
          <ul>
            <span class="detail-title font-weight-bold">Nama Webinar </span>
            <p class="detail" th:text="${enrollment.seminar.title}"> Webinar </p>
            <span class="detail-title font-weight-bold">Penyelenggara</span>
            <p class="detail" th:text="${enrollment.seminar.namaPerusahaan}"> FK UI </p>
            <span class="detail-title font-weight-bold">Jumlah Partisipan</span>
            <p class="detail" th:text="${enrollment.seminar.tiketTerjual} + @{/} + ${enrollment.seminar.jumlahTiket}"> 50/100</p>
            <span class="detail-title font-weight-bold">Peran</span>
            <p class="detail" th:text="${enrollment.tipeEnrollment}"> invited speaker: e-health</p>
          </ul>
        </div>
        <div class="card-body main col-lg-20" style="margin: 0;" >
          <ul>
            <span class="detail-title font-weight-bold">Tanggal Webinar</span>
            <p class="detail" th:text="${#temporals.format(enrollment.seminar.dateTime, 'yyyy-MM-dd')}"> - </p>
            <span class="detail-title font-weight-bold">Waktu</span>
            <p class="detail" th:text="${#temporals.format(enrollment.seminar.dateTime, 'HH:mm')}"> - </p>
            <span class="detail-title font-weight-bold">Status</span>
            <p class="detail" th:text="${enrollment.seminar.getStatus()}"> Upcoming </p>
          </ul>
        </div>
      </div>
      <div class="button-wrapper-section">
        <div class="button-action">
          <div class="create-button">
            <a class="button-primary mx-auto" style="width: 130px;" th:href="@{/seminars/}+${enrollment.seminar.seminarId}">Detail Seminar</a>
          </div>
          <div class="reject-button" th:if="${enrollment.sertifikat != null}">
            <a th:href="${enrollment.sertifikat.sertifikatUrl}" class="button-primary mx-auto"style="width: 127px;">
            <span style="margin-right: 12px">
              <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path d="M7.21783 20.9384L7.1005 21.6792H7.1005L7.21783 20.9384ZM3.06156 16.7822L3.80232 16.6648L3.06156 16.7822ZM20.9384 16.7822L21.6792 16.8995V16.8995L20.9384 16.7822ZM16.7822 20.9384L16.8995 21.6792H16.8995L16.7822 20.9384ZM20.6 10.5496C20.3513 10.2184 19.8811 10.1516 19.5499 10.4003C19.2187 10.6491 19.1519 11.1192 19.4007 11.4504L20.6 10.5496ZM4.59931 11.4504C4.84808 11.1192 4.78126 10.6491 4.45007 10.4003C4.11888 10.1516 3.64873 10.2184 3.39996 10.5496L4.59931 11.4504ZM12.75 3C12.75 2.58579 12.4142 2.25 12 2.25C11.5858 2.25 11.25 2.58579 11.25 3H12.75ZM8.58768 12.534C8.33033 12.2095 7.8586 12.155 7.53403 12.4123C7.20946 12.6697 7.15497 13.1414 7.41232 13.466L8.58768 12.534ZM9.39785 14.763L8.81016 15.2289L9.39785 14.763ZM14.6022 14.763L14.0145 14.297L14.6022 14.763ZM16.5877 13.466C16.845 13.1414 16.7905 12.6697 16.466 12.4123C16.1414 12.155 15.6697 12.2095 15.4123 12.534L16.5877 13.466ZM11.7493 16.9801L11.6313 17.7208L11.6313 17.7208L11.7493 16.9801ZM12.2507 16.9801L12.3687 17.7208L12.3687 17.7208L12.2507 16.9801ZM20.25 14V15H21.75V14H20.25ZM15 20.25H9V21.75H15V20.25ZM3.75 15V14H2.25V15H3.75ZM9 20.25C8.04233 20.25 7.65082 20.2477 7.33515 20.1977L7.1005 21.6792C7.56216 21.7523 8.09965 21.75 9 21.75V20.25ZM2.25 15C2.25 15.9003 2.24767 16.4378 2.32079 16.8995L3.80232 16.6648C3.75233 16.3492 3.75 15.9577 3.75 15H2.25ZM7.33515 20.1977C5.51661 19.9096 4.09035 18.4834 3.80232 16.6648L2.32079 16.8995C2.71048 19.3599 4.64012 21.2895 7.1005 21.6792L7.33515 20.1977ZM20.25 15C20.25 15.9577 20.2477 16.3492 20.1977 16.6648L21.6792 16.8995C21.7523 16.4378 21.75 15.9003 21.75 15H20.25ZM15 21.75C15.9003 21.75 16.4378 21.7523 16.8995 21.6792L16.6648 20.1977C16.3492 20.2477 15.9577 20.25 15 20.25V21.75ZM20.1977 16.6648C19.9096 18.4834 18.4834 19.9096 16.6648 20.1977L16.8995 21.6792C19.3599 21.2895 21.2895 19.3599 21.6792 16.8995L20.1977 16.6648ZM21.75 14C21.75 12.7064 21.3219 11.5106 20.6 10.5496L19.4007 11.4504C19.9342 12.1607 20.25 13.0424 20.25 14H21.75ZM3.75 14C3.75 13.0424 4.06583 12.1607 4.59931 11.4504L3.39996 10.5496C2.67806 11.5106 2.25 12.7064 2.25 14H3.75ZM11.25 3V16H12.75V3H11.25ZM7.41232 13.466L8.81016 15.2289L9.98553 14.297L8.58768 12.534L7.41232 13.466ZM15.1898 15.2289L16.5877 13.466L15.4123 12.534L14.0145 14.297L15.1898 15.2289ZM8.81016 15.2289C9.35616 15.9176 9.80475 16.4852 10.2055 16.8875C10.6096 17.2932 11.0582 17.6294 11.6313 17.7208L11.8673 16.2395C11.7612 16.2225 11.5913 16.1532 11.2682 15.8289C10.9418 15.5012 10.5543 15.0143 9.98553 14.297L8.81016 15.2289ZM14.0145 14.297C13.4457 15.0143 13.0582 15.5012 12.7318 15.8289C12.4087 16.1532 12.2388 16.2225 12.1327 16.2395L12.3687 17.7208C12.9418 17.6294 13.3904 17.2932 13.7945 16.8875C14.1953 16.4852 14.6438 15.9175 15.1898 15.2289L14.0145 14.297ZM11.6313 17.7208C11.7534 17.7402 11.8766 17.75 12 17.75V16.25C11.9559 16.25 11.9117 16.2465 11.8673 16.2395L11.6313 17.7208ZM12 17.75C12.1234 17.75 12.2466 17.7402 12.3687 17.7208L12.1327 16.2395C12.0883 16.2465 12.0441 16.25 12 16.25V17.75ZM11.25 16V17H12.75V16H11.25Z" fill="#F5F5F5"/>
              </svg>
            </span>Certificate</a>
          </div>
          <div class="disabled-button" th:unless="${enrollment.sertifikat != null}">
            <button type="button" disabled class="button-primary mx-auto" style="width: 127px;">
            <span style="margin-right: 12px">
              <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path d="M7.21783 20.9384L7.1005 21.6792H7.1005L7.21783 20.9384ZM3.06156 16.7822L3.80232 16.6648L3.06156 16.7822ZM20.9384 16.7822L21.6792 16.8995V16.8995L20.9384 16.7822ZM16.7822 20.9384L16.8995 21.6792H16.8995L16.7822 20.9384ZM20.6 10.5496C20.3513 10.2184 19.8811 10.1516 19.5499 10.4003C19.2187 10.6491 19.1519 11.1192 19.4007 11.4504L20.6 10.5496ZM4.59931 11.4504C4.84808 11.1192 4.78126 10.6491 4.45007 10.4003C4.11888 10.1516 3.64873 10.2184 3.39996 10.5496L4.59931 11.4504ZM12.75 3C12.75 2.58579 12.4142 2.25 12 2.25C11.5858 2.25 11.25 2.58579 11.25 3H12.75ZM8.58768 12.534C8.33033 12.2095 7.8586 12.155 7.53403 12.4123C7.20946 12.6697 7.15497 13.1414 7.41232 13.466L8.58768 12.534ZM9.39785 14.763L8.81016 15.2289L9.39785 14.763ZM14.6022 14.763L14.0145 14.297L14.6022 14.763ZM16.5877 13.466C16.845 13.1414 16.7905 12.6697 16.466 12.4123C16.1414 12.155 15.6697 12.2095 15.4123 12.534L16.5877 13.466ZM11.7493 16.9801L11.6313 17.7208L11.6313 17.7208L11.7493 16.9801ZM12.2507 16.9801L12.3687 17.7208L12.3687 17.7208L12.2507 16.9801ZM20.25 14V15H21.75V14H20.25ZM15 20.25H9V21.75H15V20.25ZM3.75 15V14H2.25V15H3.75ZM9 20.25C8.04233 20.25 7.65082 20.2477 7.33515 20.1977L7.1005 21.6792C7.56216 21.7523 8.09965 21.75 9 21.75V20.25ZM2.25 15C2.25 15.9003 2.24767 16.4378 2.32079 16.8995L3.80232 16.6648C3.75233 16.3492 3.75 15.9577 3.75 15H2.25ZM7.33515 20.1977C5.51661 19.9096 4.09035 18.4834 3.80232 16.6648L2.32079 16.8995C2.71048 19.3599 4.64012 21.2895 7.1005 21.6792L7.33515 20.1977ZM20.25 15C20.25 15.9577 20.2477 16.3492 20.1977 16.6648L21.6792 16.8995C21.7523 16.4378 21.75 15.9003 21.75 15H20.25ZM15 21.75C15.9003 21.75 16.4378 21.7523 16.8995 21.6792L16.6648 20.1977C16.3492 20.2477 15.9577 20.25 15 20.25V21.75ZM20.1977 16.6648C19.9096 18.4834 18.4834 19.9096 16.6648 20.1977L16.8995 21.6792C19.3599 21.2895 21.2895 19.3599 21.6792 16.8995L20.1977 16.6648ZM21.75 14C21.75 12.7064 21.3219 11.5106 20.6 10.5496L19.4007 11.4504C19.9342 12.1607 20.25 13.0424 20.25 14H21.75ZM3.75 14C3.75 13.0424 4.06583 12.1607 4.59931 11.4504L3.39996 10.5496C2.67806 11.5106 2.25 12.7064 2.25 14H3.75ZM11.25 3V16H12.75V3H11.25ZM7.41232 13.466L8.81016 15.2289L9.98553 14.297L8.58768 12.534L7.41232 13.466ZM15.1898 15.2289L16.5877 13.466L15.4123 12.534L14.0145 14.297L15.1898 15.2289ZM8.81016 15.2289C9.35616 15.9176 9.80475 16.4852 10.2055 16.8875C10.6096 17.2932 11.0582 17.6294 11.6313 17.7208L11.8673 16.2395C11.7612 16.2225 11.5913 16.1532 11.2682 15.8289C10.9418 15.5012 10.5543 15.0143 9.98553 14.297L8.81016 15.2289ZM14.0145 14.297C13.4457 15.0143 13.0582 15.5012 12.7318 15.8289C12.4087 16.1532 12.2388 16.2225 12.1327 16.2395L12.3687 17.7208C12.9418 17.6294 13.3904 17.2932 13.7945 16.8875C14.1953 16.4852 14.6438 15.9175 15.1898 15.2289L14.0145 14.297ZM11.6313 17.7208C11.7534 17.7402 11.8766 17.75 12 17.75V16.25C11.9559 16.25 11.9117 16.2465 11.8673 16.2395L11.6313 17.7208ZM12 17.75C12.1234 17.75 12.2466 17.7402 12.3687 17.7208L12.1327 16.2395C12.0883 16.2465 12.0441 16.25 12 16.25V17.75ZM11.25 16V17H12.75V16H11.25Z" fill="#F5F5F5"/>
              </svg>
            </span>Certificate</button>
          </div>
        </div>
        <div class="return-button">
          <a class="button-secondary" th:href="@{/invited-speaker/dashboard/list-invited-webinar}">Back</a>
        </div>
      </div>
    </main>
  </div>
</section>

<script>
    let sidebar = document.querySelector(".sidebar");
    let closeBtn = document.querySelector("#btn");

    closeBtn.addEventListener("click", ()=>{
        sidebar.classList.toggle("open");
        console.log("Button clicked!");
        console.log(sidebar.classList);
        menuBtnChange();
    });

    function menuBtnChange() {
        if(sidebar.classList.contains("open")){
            closeBtn.classList.replace("bx-menu", "bx-menu-alt-right");
        }else {
            closeBtn.classList.replace("bx-menu-alt-right","bx-menu");
        }
    }
</script>
</body>

</html>